? Build
? _build
? blib
Index: lib/App/Info/HTTPD/Apache.pm
===================================================================
RCS file: /usr/local/cvsroot/App-Info/lib/App/Info/HTTPD/Apache.pm,v
retrieving revision 1.39
diff -u -r1.39 Apache.pm
--- lib/App/Info/HTTPD/Apache.pm	26 Aug 2003 01:50:20 -0000	1.39
+++ lib/App/Info/HTTPD/Apache.pm	30 Jul 2004 19:57:49 -0000
@@ -45,6 +45,7 @@
 use vars qw(@ISA $VERSION);
 @ISA = qw(App::Info::HTTPD);
 $VERSION = '0.22';
+use constant WIN32 => $^O eq 'MSWin32';
 
 my $u = App::Info::Util->new;
 
@@ -142,6 +143,7 @@
          /sw/sbin));
 
     my @exes = qw(httpd apache-perl apache);
+    if (WIN32) { $_ .= ".exe" for @exes }
 
     if (my $exe = $u->first_cat_exe(\@exes, @paths)) {
         # We found httpd. Confirm.
@@ -516,6 +518,14 @@
             $_ =~ s/"$//;
             my ($k, $v) = split /\s*=\s*"/, $_;
             $self->{lc $k} = $v;
+            if (WIN32) {
+                if ($k eq 'SUEXEC_BIN') {
+                    $self->{lc $k} = 0;
+                } elsif ($k eq 'HTTPD_ROOT') {
+                    $self->{lc $k} =
+                      join('\\', (split /\\/, $self->{exe} )[0 .. 1]);
+                 }
+            }
         } elsif (/-D/) {
             $_ =~ s/^-D\s+//;
             $self->{lc $_} = 1;
Index: t/apache_info.t
===================================================================
RCS file: /usr/local/cvsroot/App-Info/t/apache_info.t,v
retrieving revision 1.5
diff -u -r1.5 apache_info.t
--- t/apache_info.t	8 Aug 2002 19:27:02 -0000	1.5
+++ t/apache_info.t	30 Jul 2004 19:57:50 -0000
@@ -36,7 +36,7 @@
     ##########################################################################
     # Check name.
     $apache->name;
-    like($info->message, qr/^Executing `.*(httpd|apache-perl|apache) -v`$/,
+    like($info->message, qr/^Executing `.*(httpd|apache-perl|apache)(.exe)? -v`$/,
          "Check name info" );
     $apache->name;
     ok( ! defined $info->message, "No info" );
@@ -49,7 +49,7 @@
         "Got Object 2");
     $info->message; # Throw away constructor message.
     $apache->version;
-    like($info->message, qr/^Executing `.*(httpd|apache-perl|apache) -v`$/,
+    like($info->message, qr/^Executing `.*(httpd|apache-perl|apache)(.exe)? -v`$/,
         "Check version info" );
 
     $apache->version;
Index: t/carp.t
===================================================================
RCS file: /usr/local/cvsroot/App-Info/t/carp.t,v
retrieving revision 1.6
diff -u -r1.6 carp.t
--- t/carp.t	13 Jun 2002 23:27:14 -0000	1.6
+++ t/carp.t	30 Jul 2004 19:57:50 -0000
@@ -10,12 +10,15 @@
 # Set up an App::Info subclass to ruin.
 package App::Info::Category::FooApp;
 use App::Info;
+use File::Spec;
 use strict;
 use vars qw(@ISA);
 @ISA = qw(App::Info);
 
 sub version { shift->error($msg) }
 
+(my $fn = File::Spec->catfile('t', 'carp.t')) =~ s/\\/\\\\/g;
+
 package main;
 
 BEGIN { use_ok('App::Info::Handler::Carp') }
@@ -26,15 +29,15 @@
 eval { $app->version };
 ok( my $err = $@, "Get confess" );
 like( $err, qr/^Error retrieving version/, "Starts with confess message" );
-like( $err, qr/called at t\/carp\.t line/, "Confess has stack trace" );
+like( $err, qr/called (?:at\s+$fn|$fn\s+at)\s+line/, "Confess has stack trace" );
 
 # Now try croak.
 ok( $app = App::Info::Category::FooApp->new( on_error => 'croak'),
     "Set up for croak" );
 eval { $app->version };
 ok( $err = $@, "Get croak" );
-like( $err, qr/^Error retrieving version at.*carp\.t/, "Starts with croak message" );
-unlike( $err, qr/called at t\/carp\.t line/, "Croak has no stack trace" );
+like( $err, qr/^Error retrieving version at.*$fn/, "Starts with croak message" );
+unlike( $err, qr/called (?:at\s+$fn|$fn\s+at)\s+line/, "Croak has no stack trace" );
 
 # Now die.
 ok( $app = App::Info::Category::FooApp->new( on_error => 'die'),
@@ -42,7 +45,7 @@
 eval { $app->version };
 ok( $err = $@, "Get die" );
 like( $err, qr/^Error retrieving version/, "Starts with die message" );
-unlike( $err, qr/called at t\/carp\.t line/, "Die has no stack trace" );
+unlike( $err, qr/called (?:at\s+$fn|$fn\s+at)\s+line/, "Die has no stack trace" );
 
 # Set up to capture warnings.
 $SIG{__WARN__} = sub { $err = shift };
@@ -52,21 +55,21 @@
     "Set up for cluck" );
 $app->version;
 like( $err, qr/^Error retrieving version/, "Starts with cluck message" );
-like( $err, qr/called at t\/carp\.t line/, "Cluck as stack trace" );
+like( $err, qr/called (?:at\s+$fn|$fn\s+at)\s+line/, "Cluck as stack trace" );
 
 # Carp.
 ok( $app = App::Info::Category::FooApp->new( on_error => 'carp'),
     "Set up for carp" );
 $app->version;
 like( $err, qr/^Error retrieving version/, "Starts with carp message" );
-unlike( $err, qr/called at t\/carp\.t line/, "Carp has no stack trace" );
+unlike( $err, qr/called (?:at\s+$fn|$fn\s+at)\s+line/, "Carp has no stack trace" );
 
 # Warn.
 ok( $app = App::Info::Category::FooApp->new( on_error => 'warn'),
     "Set up for warn" );
 $app->version;
 like( $err, qr/^Error retrieving version/, "Starts with warn message" );
-unlike( $err, qr/called at t\/carp\.t line/, "Warn has no stack trace" );
+unlike( $err, qr/called (?:at\s+$fn|$fn\s+at)\s+line/, "Warn has no stack trace" );
 
 # Dissallow bogus error levels.
 eval { App::Info::Category::FooApp->new( on_error => 'bogus') };
Index: t/myapache.t
===================================================================
RCS file: /usr/local/cvsroot/App-Info/t/myapache.t,v
retrieving revision 1.10
diff -u -r1.10 myapache.t
--- t/myapache.t	11 Dec 2003 20:47:22 -0000	1.10
+++ t/myapache.t	30 Jul 2004 19:57:50 -0000
@@ -30,10 +30,10 @@
 is( $apache->name, "Apache", "Get name" );
 if ($apache->httpd_root eq '/usr') {
     # Apple-installed Apache
-    is( $apache->version, "1.3.28", "Test Version" );
+    is( $apache->version, "1.3.29", "Test Version" );
     is( $apache->major_version, '1', "Test major version" );
     is( $apache->minor_version, '3', "Test minor version" );
-    is( $apache->patch_version, '28', "Test patch version" );
+    is( $apache->patch_version, '29', "Test patch version" );
     is( $apache->httpd_root, "/usr", "Test httpd root" );
     ok( !$apache->mod_perl, "Test mod_perl" );
     is( $apache->conf_file, "/etc/httpd/httpd.conf", "Test conf file" );
Index: t/myexpat.t
===================================================================
RCS file: /usr/local/cvsroot/App-Info/t/myexpat.t,v
retrieving revision 1.7
diff -u -r1.7 myexpat.t
--- t/myexpat.t	2 Aug 2003 02:09:59 -0000	1.7
+++ t/myexpat.t	30 Jul 2004 19:57:50 -0000
@@ -23,10 +23,10 @@
 
 ok( $expat->installed, "libexpat is installed" );
 is( $expat->name, "Expat", "Get name" );
-is( $expat->version, "1.95.5", "Test Version" );
+is( $expat->version, "1.95.7", "Test Version" );
 is( $expat->major_version, '1', "Test major version" );
 is( $expat->minor_version, '95', "Test minor version" );
-is( $expat->patch_version, '5', "Test patch version" );
+is( $expat->patch_version, '7', "Test patch version" );
 is( $expat->lib_dir, '/usr/local/lib', "Test lib dir" );
 ok( ! defined $expat->bin_dir, "Test bin dir" );
 is( $expat->so_lib_dir, '/usr/local/lib', "Test so lib dir" );
Index: t/mypostgres.t
===================================================================
RCS file: /usr/local/cvsroot/App-Info/t/mypostgres.t,v
retrieving revision 1.7
diff -u -r1.7 mypostgres.t
--- t/mypostgres.t	11 Dec 2003 20:47:22 -0000	1.7
+++ t/mypostgres.t	30 Jul 2004 19:57:50 -0000
@@ -23,10 +23,10 @@
 
 ok( $pg->installed, "PostgreSQL is installed" );
 is( $pg->name, "PostgreSQL", "Get name" );
-is( $pg->version, "7.4", "Test Version" );
+is( $pg->version, "7.4.3", "Test Version" );
 is( $pg->major_version, '7', "Test major version" );
 is( $pg->minor_version, '4', "Test minor version" );
-is( $pg->patch_version, '0', "Test patch version" );
+is( $pg->patch_version, '3', "Test patch version" );
 is( $pg->lib_dir, '/usr/local/pgsql/lib', "Test lib dir" );
 is( $pg->bin_dir, '/usr/local/pgsql/bin', "Test bin dir" );
 is( $pg->so_lib_dir, '/usr/local/pgsql/lib', "Test so lib dir" );
